package net.minecraft.world.level;

import net.minecraft.world.level.block.Block;
import net.minecraft.core.BlockPos;

public class BlockEventData {
    private final BlockPos pos;
    private final Block block;
    private final int paramA;
    private final int paramB;
    
    public BlockEventData(final BlockPos fu, final Block bvr, final int integer3, final int integer4) {
        this.pos = fu;
        this.block = bvr;
        this.paramA = integer3;
        this.paramB = integer4;
    }
    
    public BlockPos getPos() {
        return this.pos;
    }
    
    public Block getBlock() {
        return this.block;
    }
    
    public int getParamA() {
        return this.paramA;
    }
    
    public int getParamB() {
        return this.paramB;
    }
    
    @Override
    public boolean equals(final Object object) {
        if (object instanceof BlockEventData) {
            final BlockEventData bpf3 = (BlockEventData)object;
            return this.pos.equals(bpf3.pos) && this.paramA == bpf3.paramA && this.paramB == bpf3.paramB && this.block == bpf3.block;
        }
        return false;
    }
    
    @Override
    public int hashCode() {
        int integer2 = this.pos.hashCode();
        integer2 = 31 * integer2 + this.block.hashCode();
        integer2 = 31 * integer2 + this.paramA;
        integer2 = 31 * integer2 + this.paramB;
        return integer2;
    }
    
    @Override
    public String toString() {
        return "TE(" + this.pos + ")," + this.paramA + "," + this.paramB + "," + this.block;
    }
}
